Skip to navigation

✨ Update task assignee

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired
A unique integer value identifying this project.
task_pkintegerRequired
A unique integer value identifying this task.

Request

This endpoint expects an object.
typeenumOptional
  • AN - Annotate
  • RE - Review
Allowed values:
userslist of integersOptional

Response

assigneeinteger
Assigned user
created_atdatetimeRead-only
Time of assignment
idintegerRead-only
statestringRead-only
taskinteger
Assigned task
typeenumOptional

Type of assignment: Annotate|Review

  • AN - Annotate
  • RE - Review
Allowed values: